Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Customers

  • List customers

  • Create customer

  • Bulk create customers

  • Bulk delete customers

  • Bulk retrieve customers

  • Bulk update customers

  • Search customers

  • Delete customer

  • Retrieve customer

  • Update customer

  • Remove group from customer

  • Add group to customer

  • Webhooks

  • customer.created

  • customer.deleted

  • customer.updated

<- Customers API

Customers API

All versions ->

Remove group from customer

DELETE

 /v2/customers/{customer_id}/groups/{group_id}

Removes a group membership from a customer.

The customer is identified by the customer_id value and the customer group is identified by the group_id value.

Permissions:CUSTOMERS_WRITE

Guide

Manage customer group membership

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

customer_id

string

Required

The ID of the customer to remove from the group.

Link to section

group_id

string

Required

The ID of the customer group to remove the customer from.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

DELETE /v2/customers/{customer_id}/groups/{group_id}
curl https://connect.squareup.com/v2/customers/customer_id0/groups/group_id1 \ -X DELETE \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{}